html body {
    margin: 0;
    scroll-behavior: smooth;
}

.site-header {
    position: sticky;
    top: 0;
    z-index: 100;
    backdrop-filter: blur(0.5rem);
    box-shadow: 0 0.25rem 0.75rem #0000003a;
}

.navbar .nav-link {
    font-size: 1.1rem;
    color: #fff;
    position: relative;
}

.navbar .nav-link::after {
    position: absolute;
    left: 0;
    bottom: -0.25rem;
    width: 0;
    height: 0.15rem;
    background: #fff;
    transition: width 0.2s ease;
}

.navbar .nav-link::after:hover { width: 100%; }

.link-content { transition: transform 0.15s ease; }
.link-content:hover { transform: translateY(-0.25rem); }

section { scroll-margin-top: 6rem; }

.brief-info {
    width: 100%;
    max-width: 80rem;
    margin-left: auto;
    margin-right: auto;
}

.carusel-card {
    width: 25rem;
    aspect-ratio: 3 / 4;
    border-radius: 1.25rem;
    overflow: hidden;
    background-color: #000;
    margin-left: 1.5rem;
}

.media-wrapper { position: relative; }

.carusel-card img,
.carusel-card video {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.carusel-card .carusel-indicators {
    bottom: 0.625rem;
    margin-bottom: 0;
}

.carousel-button { border-radius: 0.7rem; }

.carusel-card .carusel-indicators button {
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 50%;
    background-color: #ffffff80;
    border: none;
    margin: 0 0.25rem;
}

.carusel-card .carusel-indicators .active {
    background-color: #fff;
}

.carousel,
.carousel-inner,
.carousel-item { height: 100%; }

.click-overlay {
    background: #00000000;
    cursor: pointer;
}

.profile-card {
    width: 100%;
    border-radius: 1.25rem;
    background-color: #f0f8ff;
    backdrop-filter: blur(0.5rem);
    box-shadow: 0 0.25rem 0.55rem #0000003a;
}

.profile-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    margin-top: 1.75rem;
}

.profile-title {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.profile-info p {
    width: 100%;
    font-size: 1.75rem;
    display: flex;
    gap: 0.5rem;
}

.music-card {
    width: 100%;
    padding: 1rem;
    border-radius: 1.25rem;
    background: #f0f8ff;
    margin-top: 7rem;
}

.music-play-card {
    position: relative;
    width: 50%;
    max-width: 40rem;
    border-radius: 1rem;
    border: none;
    background: #fff;
    overflow: hidden;
    color: #000;
    font-size: 2rem;
    padding: 0.5rem;
    backdrop-filter: blur(0.5rem);
    box-shadow: 0 0.25rem 0.75rem #0000003a;
}

.music-ui {
    width: 100%;
    display: flex;
    flex-direction: row;
    transition: all .3s ease;
}
.music-ui.hidden {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
}

.music-progress {
    position: absolute;
    width: calc(100% - 2rem);
    height: 6px;
    top: 0;
    left: 0;
    margin-left: 1rem;
    background: #ddd;
    border-radius: 3px;
    overflow: hidden;
}

.music-progress-fill {
    width: 0%;
    height: 100%;
    background: #000;
    border-radius: 3px;
}

.init-play-btn {
    display: flex;
    flex-direction: row;
    margin-left: auto;
    margin-right: auto;
    transition: all .3s ease;
}
.init-play-btn.hidden {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
}

.music-buttons {
    background: none;
    border: none;
    font-size: 2.5rem;
}

.profile-contacts {
    width: 100%;
    position: relative;
    margin-top: 7rem;
}

.scroll-bar {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}

.contacts-scroll {
    display: flex;
    gap: 1rem;
    overflow-x: auto;
    padding: 0.5rem 0;
    justify-content: flex-start;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
    mask-image: linear-gradient(
        to right,
        transparent 0%,
        #000 0.75%,
        #000 99.25%,
        transparent 100%
    );
    -webkit-mask-image: linear-gradient(
        to right,
        transparent 0%,
        #000 0.75%,
        #000 99.25%,
        transparent 100%
    );
}
.contacts-scroll.centered { justify-content: center; }
.contacts-scroll::-webkit-scrollbar { display: none; }

.contact-card {
    flex: 0 0 auto;
    min-width: 9rem;
    padding: 1rem;
    border-radius: 1rem;
    background: #fff;
    text-decoration: none;
    color: #000;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 0.5rem;
    scroll-snap-align: start;
    transition: transform 0.15s ease;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    backdrop-filter: blur(0.5rem);
    box-shadow: 0 0.25rem 0.55rem #0000003a;
}
.contact-card:hover { transform: translateY(-0.25rem); }

.scroll-btn {
    position: absolute;
    top: 70%;
    transform: translateY(-50%);
    z-index: 5;

    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    border: none;

    background: #00000099;
    color: #fff;

    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease;
}

.profile-contacts:hover .scroll-btn {
    opacity: 1;
    pointer-events: auto;
}

.scroll-btn.left { left: 0.5rem; }
.scroll-btn.right { right: 0.5rem; }

.scroll-btn.hidden {
    opacity: 0 !important;
    pointer-events: none !important;
}

.profile-stack { margin-top: 7rem; }

.stack-columns {
    max-width: 80rem;
    margin-left: auto;
    margin-right: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}

.stack-item {
    max-width: 25rem;
    padding: 0.75rem 1rem;
    border-radius: 0.75rem;
    background: #fff;
    font-size: 1.25rem;
    text-align: center;
    margin-bottom: 0.5rem;
    margin-left: auto;
    margin-right: auto;
    backdrop-filter: blur(0.5rem);
    box-shadow: 0 0.2rem 0.5rem #0000003a;
}

.toasts-container {
    position: fixed;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1050;
}

.toast {
    background-color: rgba(0, 0, 0, 0.8);
    color: #c7c7c7;
    border-width: 0.125rem;
    border-color: #000;
    border-radius: 1rem;
    opacity: 0.95;
    box-shadow: 0 4px 8px #00000033;
}

.toast-body {
    font-size: 1rem;
    text-align: center;
}

.snow-layer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    overflow: hidden;
    z-index: 1000;
}

.snowflake {
    position: absolute;
    top: -1rem;
    background: #fff;
    border-radius: 50%;
    opacity: 0.8;
    filter: blur(0.02rem);
    will-change: transform;
}

.snow-toggle {
    position: absolute;
    top: 0;
    right: 0;
    margin-top: 0.5rem;
    margin-right: 0.7rem;
    display: inline-block;
    border: 0;
    background: #00000000;
    transition: transform 0.3s cubic-bezier(.4, 0, .2, 1);
}
.snow-toggle i {
    font-size: 3rem;
    color: #000;
}
.snow-toggle.active i { color: #1e008c; }

@media (max-width: 62rem) {
    .carusel-card { margin-left: 0.5rem; }

    .media-wrapper { aspect-ratio: auto; }

    .profile-content { margin-top: 2rem; }

    .profile-info p { font-size: 1.5rem; }

    .scroll-bar {
        margin-left: 0.5rem;
        margin-right: 0.5rem;
    }
}
